Μετάβαση στο περιεχόμενο

Paddle subscriptions

Bookingmood subscriptions of organizations, billed through Paddle

The paddle subscription object

Attributes

idtext

Unique identifier

organization_iduuid | null
organizations.id

Identifier of the organization this subscription is for

plan_idtext
paddle_plans.id

Identifier of the plan in Paddle

currencyPaddleCurrency

Currency the subscription is paid in

renews_attimestamp with time zone | null

Timestamp at which the subscription renews

statePaddleSubscriptionState

Activation state of the subscription

versionPaddleVersion

Version of Paddle the subscription is active on

Related resources

Embed related resources in the response with the select parameter, for example select=*,organizations!organization_id(*). Resources related through more than one column need the column as a hint, like table!column(*).

organizations!organization_id(*)object | null
organizations

The organization referenced by organization_id.

paddle_plans(*)object | null
paddle_plans

The paddle plan referenced by plan_id.

organizations!paddle_subscription_id(*)array
organizations

The organizations referencing this paddle subscription through organizations.paddle_subscription_id.

The paddle subscription object
JSON
{
  "id": "",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "plan_id": "",
  "currency": "USD",
  "renews_at": "2026-10-30T23:21:07.688Z",
  "state": "active",
  "version": "classic"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/paddle_subscriptions?limit=10&select=*,organizations!organization_id(*),paddle_plans(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List paddle subscriptions

Filters

idFilter<text>

Unique identifier

organization_idFilter<uuid | null>
organizations.id

Identifier of the organization this subscription is for

plan_idFilter<text>
paddle_plans.id

Identifier of the plan in Paddle

currencyFilter<PaddleCurrency>

Currency the subscription is paid in

renews_atFilter<timestamp with time zone | null>

Timestamp at which the subscription renews

stateFilter<PaddleSubscriptionState>

Activation state of the subscription

versionFilter<PaddleVersion>

Version of Paddle the subscription is active on

Responses

200

A list of paddle subscriptions with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /paddle_subscriptions
curl -X GET "https://api.bookingmood.com/v1/paddle_subscriptions?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "plan_id": "",
    "currency": "USD",
    "renews_at": "2026-10-30T23:21:07.688Z",
    "state": "active",
    "version": "classic"
  }
]

Αναλάβετε τον έλεγχο των κρατήσεών σας. Δημιουργήστε τη δική σας επιχείρηση.

Γίνετε μέλος της κοινότητας των 1200+ ανεξάρτητων επιχειρήσεων ενοικίασης καταλυμάτων διακοπών που χρησιμοποιούν το Bookingmood για να αυξήσουν τις απευθείας κρατήσεις και να δημιουργήσουν ισχυρότερες σχέσεις με τους επισκέπτες.

Ξεκινήστε δωρεάν δοκιμή 14-ημέρας